Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatPermissions

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatPermissions

Enclosing class:
  TdApi

public static final class TdApi.ChatPermissions extends TdApi.Object
Describes actions that a user is allowed to take in a chat.

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`canAddWebPagePreviews`
True, if the user may add a web page preview to their messages.
`boolean`
`canChangeInfo`
True, if the user can change the chat title, photo, and other settings.
`boolean`
`canInviteUsers`
True, if the user can invite new users to the chat.
`boolean`
`canPinMessages`
True, if the user can pin messages.
`boolean`
`canSendMediaMessages`
True, if the user can send audio files, documents, photos, videos, video notes, and voice notes.
`boolean`
`canSendMessages`
True, if the user can send text messages, contacts, locations, and venues.
`boolean`
`canSendOtherMessages`
True, if the user can send animations, games, stickers, and dice and use inline bots.
`boolean`
`canSendPolls`
True, if the user can send polls.
`static final int`
`CONSTRUCTOR`

## Constructor Summary

Constructors
Constructor
Description
`ChatPermissions()`
Describes actions that a user is allowed to take in a chat.
`ChatPermissions(boolean canSendMessages, boolean canSendMediaMessages, boolean canSendPolls, boolean canSendOtherMessages, boolean canAddWebPagePreviews, boolean canChangeInfo, boolean canInviteUsers, boolean canPinMessages)`
Describes actions that a user is allowed to take in a chat.
`ChatPermissions(DataInput input)`
Describes actions that a user is allowed to take in a chat.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### canSendMessages

public boolean canSendMessages
True, if the user can send text messages, contacts, locations, and venues.

### canSendMediaMessages

public boolean canSendMediaMessages
True, if the user can send audio files, documents, photos, videos, video notes, and voice notes. Implies canSendMessages permissions.

### canSendPolls

public boolean canSendPolls
True, if the user can send polls. Implies canSendMessages permissions.

### canSendOtherMessages

public boolean canSendOtherMessages
True, if the user can send animations, games, stickers, and dice and use inline bots. Implies canSendMessages permissions.

### canAddWebPagePreviews

public boolean canAddWebPagePreviews
True, if the user may add a web page preview to their messages. Implies canSendMessages permissions.

### canChangeInfo

public boolean canChangeInfo
True, if the user can change the chat title, photo, and other settings.

### canInviteUsers

public boolean canInviteUsers
True, if the user can invite new users to the chat.

### canPinMessages

public boolean canPinMessages
True, if the user can pin messages.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### ChatPermissions

public ChatPermissions()
Describes actions that a user is allowed to take in a chat.

### ChatPermissions

public ChatPermissions(boolean canSendMessages, boolean canSendMediaMessages, boolean canSendPolls, boolean canSendOtherMessages, boolean canAddWebPagePreviews, boolean canChangeInfo, boolean canInviteUsers, boolean canPinMessages)
Describes actions that a user is allowed to take in a chat.

Parameters:
  `canSendMessages` - boolean True, if the user can send text messages, contacts, locations, and venues.
  `canSendMediaMessages` - boolean True, if the user can send audio files, documents, photos, videos, video notes, and voice notes. Implies canSendMessages permissions.
  `canSendPolls` - boolean True, if the user can send polls. Implies canSendMessages permissions.
  `canSendOtherMessages` - boolean True, if the user can send animations, games, stickers, and dice and use inline bots. Implies canSendMessages permissions.
  `canAddWebPagePreviews` - boolean True, if the user may add a web page preview to their messages. Implies canSendMessages permissions.
  `canChangeInfo` - boolean True, if the user can change the chat title, photo, and other settings.
  `canInviteUsers` - boolean True, if the user can invite new users to the chat.
  `canPinMessages` - boolean True, if the user can pin messages.

### ChatPermissions

public ChatPermissions(DataInput input) throws IOException
Describes actions that a user is allowed to take in a chat.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`